Loading...
Searching...
No Matches
Clip.h File Reference

Header file for Clip class. More...

`#include <opencv2/opencv.hpp>`
`#include <opencv2/core.hpp>`
`#include <memory>`
`#include <string>`
`#include "AudioLocation.h"`
`#include "ClipBase.h"`
`#include "ReaderBase.h"`
`#include "Color.h"`
`#include "Enums.h"`
`#include "EffectBase.h"`
`#include "EffectInfo.h"`
`#include "KeyFrame.h"`
`#include "TrackedObjectBase.h"`

Go to the source code of this file.

## Classes

class | openshot::Clip
| This class represents a clip (used to arrange readers on the timeline) More...
struct | openshot::CompareClipEffects

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | int64 opencv_broken_int
#define | uint64 opencv_broken_uint

## Detailed Description

Header file for Clip class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Clip.h.

## Macro Definition Documentation

## int64

#define int64 opencv_broken_int

Definition at line 17 of file Clip.h.

## uint64

#define uint64 opencv_broken_uint

Definition at line 18 of file Clip.h.